# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models
from newsbox.models import NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase
from newsbox_hvad.models import NewsboxHVADBase

class News(NewsboxHVADBase, NewsboxBase):
    class Meta:
        verbose_name = 'news - HVAD'
        verbose_name_plural = 'news - HVAD'

class NewsComplete(NewsboxHVADBase, NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase):
    class Meta:
        verbose_name = 'news - CompleteHVAD'
        verbose_name_plural = 'news - CompleteHVAD'

class NewsExtended(NewsboxHVADBase, NewsboxBase, NewsboxSEOBase, NewsboxExpiredBase):
    general_field = models.CharField(max_length=50)
    content_field = models.CharField(max_length=50)
    seo_field = models.CharField(max_length=50)
    
    class Meta:
        verbose_name = 'news - ExtendedHVAD'
        verbose_name_plural = 'news - ExtendedHVAD'
        newsbox_trans_fieldnames = ['content_field', 'seo_field']

